Subject: Re: [bug#67896] [PATCH] gnu: ghc-9.2: Make Cabal respect GHC_PACKAGE_PATH

From: Saku Laesvuori <[email-masked]>
Date: Sat, 6 Jan 2024 23:16:27 +0200

> Hi,
> 
> Lars-Dominik Braun <[email-masked]> wrote:
> > sorry for the delay, I just tried your patch and it works well combining
> > a local cabal project and libraries/GHC from Guix. I’d say this is a
> > massive improvement, so I’d like to ship it with Guix. However this
> > is a world rebuilding change, so I’ll push it to the haskell-team
> > branch and probably wait for #67921 to be ready before it can hit master.
> 
> Yea, glad to hear that. Waiting for #67921 is fine by me. Should I also
> prepare a patch for the GHC 9.4 package then? Currently this is only GHC
> 9.2.

I'm currently trying to update GHC to 9.6 in that series (there are some
weird issues when running the test suite). If the same cabal patch works
with GHC 9.6 I can add the reference to it in the package definition
(same with 9.4). Otherwise a patch for those versions would be nice.